#-------------------------------------------------
#
# Project created by QtCreator 2021-12-18T11:13:33
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = MotorControll_Project
TEMPLATE = app

#去除变量未使用警告
#QMAKE_CXXFLAGS +=  -Wno-unused-parameter
# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS



win32
{
    CONFIG(debug,debug|release)
    {
        LIBS+=$$PWD/xnet/lib/debug/libX_Net.a
    }
    CONFIG(release,debug|release)
    {
        LIBS+=$$PWD/xnet/lib/release/libX_Net.a
    }

    INCLUDEPATH+=\
            $$PWD/xnet/include/ \
            $$PWD/motionctrl/include/
}


SOURCES += main.cpp\
        motorcontroll.cpp

HEADERS  += motorcontroll.h \
    xnet/include/x_net.h \
    xnet/include/xnetclient.h

FORMS    += motorcontroll.ui
